package iDSS.sm;

import java.util.*;
import java.awt.event.*;
import java.awt.*;
import javax.swing.*;
import java.io.*;
import java.beans.*;
import java.sql.Timestamp;


import iDSS.disp.*;



public interface SurvivalModel {

    public String getName();
    //public void setCriticalFloodingDepth(double depth);
    public double getCriticalFloodingDepth(Timestamp t);
    public double getProbability(long duration,double depth,Timestamp t);
    public DisplayFrame showDetails(boolean editable);
    public void addPropertyChangeListener(PropertyChangeListener l);
    public void removePropertyChangeListener(PropertyChangeListener l);
    public SurvivalModel getCopy();
    public Hashtable getParameters();
    public void setParameters(Hashtable h);

} //interface SurvivalModel
